return {
	"https://git.k4li.de/pika/telesnip.nvim",
	config = function()
		-- Load your plugin
		local telesnip = require("telesnip")
		telesnip.setup({
			-- snippet_path = "/path/to/your/snippets",
		})

		-- Define the :TelesnipSnippets command
		vim.api.nvim_create_user_command("TelesnipSnippets", function()
			telesnip.telesnip_show()()
		end, {})

		-- Optional: Set up a keybinding if desired
		vim.keymap.set("n", "<leader>S", ":TelesnipSnippets<CR>", { desc = "Open Snippet Picker" })
		vim.keymap.set("v", "<leader>cs", function()
			require("telesnip").save_custom_snippet()
		end, { noremap = true })
	end,
}
